ការជំនួស Drop-in
ឆបគ្នាដំណើរការជាមួយ SDK របស់ OpenAI និង Anthropic។ តែប្តូរ base URL ប៉ុណ្ណោះ។
ភាសាទាំងអស់ស្មើគ្នា។ ជ្រើសរើសភាសាដែលអ្នកចង់ប្រើ។
API AI ដែលឆបគ្នា OpenAI និង Anthropic ជាមួយការហៅមុខងារ ការស្វែងរកលើវេប និងលទ្ធផលមានរចនាសម្ព័ន្ធ។
អ្វីៗទាំងអស់ដែលអ្នកត្រូវការ ដើម្បីចាប់ផ្តើមជាមួយ API ឆបគ្នា OpenAI និង Anthropic របស់ Shannon។
https://api.shannon-ai.com/v1/chat/completions ប្រើ Chat Completions API ជាមួយការហៅមុខងារ និងស្ទ្រីម។
https://api.shannon-ai.com/v1/messages ទ្រង់ទ្រាយ Claude Messages ជាមួយឧបករណ៍ និងក្បាល anthropic-version។
Authorization: Bearer <api-key> ឬ X-API-Key ជាមួយ anthropic-version សម្រាប់ការហៅទម្រង់ Claude។
ឯកសារសាធារណៈ - ត្រូវការគន្លឹះសម្រាប់ការហៅ ស្ទ្រីម, ការហៅមុខងារ, លទ្ធផលមានរចនាសម្ព័ន្ធ, ស្វែងរកវេប។
ការជំនួស Drop-in សម្រាប់ OpenAI និង Anthropic API ជាមួយការគាំទ្រឧបករណ៍ លទ្ធផលមានរចនាសម្ព័ន្ធ និងស្វែងរកវេបក្នុងស្រាប់។
ដំណើរការជាមួយ SDK របស់ OpenAI និង Anthropic។ តែប្តូរ base URL ប៉ុណ្ណោះ។
កំណត់ឧបករណ៍ ហើយអនុញ្ញាតឱ្យ Shannon ហៅ។ គាំទ្រ auto, forced និង none។
ស្វែងរកវេបពេលវេលាពិតជាមួយការដកស្រង់ប្រភព។ អាចប្រើបានដោយស្វ័យប្រវត្តិ។
មុខងារ JSON និងការបង្ខំ JSON Schema សម្រាប់ការទាញទិន្នន័យដែលទុកចិត្តបាន។
រង្វិលជុំការប្រតិបត្តិមុខងារដោយស្វ័យប្រវត្តិ។ ដល់ 10 ជំហានក្នុងមួយសំណើ។
Server-sent events សម្រាប់ស្ទ្រីម token ពេលវេលាពិត។
ចាប់ផ្តើមក្នុង 3 ជំហាន។ Shannon ស្រដៀងនឹង client OpenAI និង Anthropic។
ប្រើ endpoint ដែលឆបគ្នា OpenAI។
https://api.shannon-ai.com/v1/chat/completions ប្រើ Bearer auth ក្នុងក្បាល Authorization។
ជ្រើសភាសា និងប្តូរគន្លឹះរបស់អ្នក។
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} សាក Shannon API ដោយផ្ទាល់ក្នុងកម្មវិធីរុករក។ បង្កើតសំណើ ដំណើរការ ហើយមើលចម្លើយពេលវេលាពិត។
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/km/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
សំណើ API ទាំងអស់ត្រូវការផ្ទៀងផ្ទាត់ដោយគន្លឹះ Shannon API របស់អ្នក។
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 Shannon ផ្តល់ម៉ូដែលជាច្រើនសម្រាប់ករណីប្រើប្រាស់ផ្សេងៗ។
shannon-1.6-lite Shannon 1.6 Lite ចម្លើយលឿន និងមានប្រសិទ្ធភាពសម្រាប់ការងារប្រចាំថ្ងៃ
shannon-1.6-pro Shannon 1.6 Pro ការគិតជ្រាលជ្រៅសម្រាប់បញ្ហាស្មុគស្មាញ
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder បានបង្កើនប្រសិទ្ធភាពសម្រាប់ Claude Code CLI ជាមួយកូតាតាមការហៅ
កំណត់ឧបករណ៍ដែល Shannon អាចហៅដើម្បីអនុវត្តសកម្មភាព ឬទាញយកព័ត៌មាន។
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" ម៉ូដែលសម្រេចថាតើហៅមុខងារឬអត់ (លំនាំដើម) "none" បិទការហៅមុខងារសម្រាប់សំណើនេះ {"type": "function", "function": {"name": "..."}} បង្ខំឱ្យហៅមុខងារដែលកំណត់ {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} បង្ខំឱ្យ Shannon ឆ្លើយតបជាមួយ JSON ត្រឹមត្រូវដែលស្របនឹង schema របស់អ្នក។
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} បង្ខំឲ្យមានលទ្ធផល JSON ត្រឹមត្រូវ (គ្មាន schema ជាក់លាក់) {"type": "json_schema", "json_schema": {...}} បង្ខំឲ្យលទ្ធផលស្របនឹង schema ជាក់លាក់របស់អ្នក បើកស្ទ្រីម token ពេលវេលាពិតដោយ Server-Sent Events សម្រាប់ UI ដែលឆ្លើយតបលឿន។
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} Shannon រួមបញ្ចូលមុខងារ web_search ដែលមានស្រាប់ និងអាចប្រើបានស្វ័យប្រវត្តិ។
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations Shannon ក៏គាំទ្រទ្រង់ទ្រាយ Anthropic Messages API ផងដែរ។
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); ប្រើ SDK OpenAI ឬ Anthropic ណាមួយ—តែប្តូរ base URL ប៉ុណ្ណោះ។
SDK OpenAI Python ផ្លូវការ — ប្រើបានជាមួយ Shannon
pip install openai SDK OpenAI Node.js ផ្លូវការ — ប្រើបានជាមួយ Shannon
npm install openai កម្មវិធី Go របស់សហគមន៍សម្រាប់ API ឆបគ្នា OpenAI
go get github.com/sashabaranov/go-openai កម្មវិធី Ruby របស់សហគមន៍សម្រាប់ API ឆបគ្នា OpenAI
gem install ruby-openai កម្មវិធី PHP របស់សហគមន៍សម្រាប់ API ឆបគ្នា OpenAI
composer require openai-php/client កម្មវិធី Rust async សម្រាប់ API ឆបគ្នា OpenAI
cargo add async-openai SDK Anthropic Python ផ្លូវការ — ប្រើបានជាមួយ Shannon
pip install anthropic SDK Anthropic TypeScript ផ្លូវការ — ប្រើបានជាមួយ Shannon
npm install @anthropic-ai/sdk Shannon ប្រើកូដស្ថានភាព HTTP ស្តង់ដារ ហើយបញ្ជូនសារកំហុសលម្អិត។
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} ការធ្វើបច្ចុប្បន្នភាព និងការកែលម្អថ្មីៗនៅក្នុង Shannon API។
YOUR_API_KEY រក្សាគន្លឹះ API របស់អ្នកឲ្យសម្ងាត់។ ការបង្កើតឡើងវិញនឹងបង្កើតគន្លឹះថ្មី ហើយបញ្ឈប់គន្លឹះចាស់។
នៅពេលចូលគណនី អ្នកអាចមើលការប្រើ token និងស្វែងរកនៅលើទំព័រនេះ។
កូតាតាមការហៅសម្រាប់ Shannon Coder (shannon-coder-1)។ កំណត់ឡើងវិញរៀងរាល់ 4 ម៉ោង។
ទទួលគន្លឹះ API របស់អ្នក ហើយចាប់ផ្តើមបង្កើតជាមួយ Shannon AI ថ្ងៃនេះ។
ការស្វែងរកពេញនិយម: